def replace_word(phrase, word, other):
    """
    <phrase> should be a list that contains multiple words
    <word> and <other> are words

    Replace <word> with <other> in <phrase>.
    This modifies the list in <phrase>.
    """
    for i in range(len(phrase)):
        if phrase[i] == word:
            phrase[i] = other


def main():
    # ask for a phrase (multiple words)
    # spilt it into a list of words
    phrase = input('Phrase: ').split()
    print(phrase)

    # ask for a series of <word>s and <replacement>s
    # replace each instance of <word> with its <replacement> in the
    # phrase
    while True:
        word = input('Word: ')
        if not word:
            break
        other = input('Replacement: ')
        replace_word(phrase, word, other)
        print(phrase)

    # turn the list of words back into a string
    print(' '.join(phrase))


if __name__ == '__main__':
    main()
